# Generated by Django 3.0.2 on 2020-03-22 15:19

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('gestruc', '0023_delete_colonies'),
    ]

    operations = [
        migrations.CreateModel(
            name='Colonies',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code_col', models.CharField(blank=True, max_length=20, unique=True)),
                ('annee_reine', models.CharField(default='2000', max_length=4)),
                ('commentaire', models.TextField(blank=True, max_length=200, null=True)),
                ('agressivite', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestruc.Note_agress')),
                ('essaimage', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestruc.Note_essaim')),
                ('phenotype', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestruc.Phenotypes')),
                ('production', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestruc.Note_prod')),
                ('varroa', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestruc.Note_varroa')),
            ],
        ),
        migrations.CreateModel(
            name='Ruchcol',
            fields=[
                ('col', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='gestruc.Colonies')),
                ('ruch', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestruc.Ruches')),
            ],
        ),
    ]
